[Rubygems-developers] [ rubygems-Bugs-29059 ] 1.6.1 doesn't update prerelease gems

noreply at rubyforge.org noreply at rubyforge.org
Fri Mar 4 10:08:35 EST 2011


Bugs item #29059, was opened at 2011-03-04 15:08
You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=29059&group_id=126

Category: `gem` commands (other)
Group: v1.6.x
Status: Open
Resolution: None
Priority: 3
Submitted By: Jon Forums (jonforums)
Assigned to: Nobody (None)
Summary: 1.6.1 doesn't update prerelease gems

Initial Comment:
Is this use case supported?

C:\Users\Jon>gem list eventmachine

*** LOCAL GEMS ***

eventmachine (1.0.0.beta.2 x86-mingw32)


C:\Users\Jon>gem list eventmachine -r --pre

*** REMOTE GEMS ***

eventmachine (1.0.0.beta.3 ruby java java x86-mingw32 x86-mingw32 x86-mswin32-60 x86-mswin32-60, 1.0.0.beta.2 ruby java java x86-mingw32 x86-mingw32 x86-mswin32-60 x86-mswin32-60,
1.0.0.beta.1 ruby java java)


C:\Users\Jon>gem update eventmachine --pre
Updating installed gems
Nothing to update

C:\Users\Jon>gem env
RubyGems Environment:
  - RUBYGEMS VERSION: 1.6.1
  - RUBY VERSION: 1.9.3 (2011-03-04 patchlevel -1) [i386-mingw32]
  - INSTALLATION DIRECTORY: C:/ruby19trunk/lib/ruby/gems/1.9.1
  - RUBY EXECUTABLE: C:/ruby19trunk/bin/ruby.exe
  - EXECUTABLE DIRECTORY: C:/ruby19trunk/bin
  - RUBYGEMS PLATFORMS:
    - ruby
    - x86-mingw32
  - GEM PATHS:
     - C:/ruby19trunk/lib/ruby/gems/1.9.1
     - C:/Users/Jon/.gem/ruby/1.9.1
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :benchmark => false
     - :backtrace => false
     - :bulk_threshold => 1000
     - :sources => ["http://rubygems.org", "http://gemcutter.org"]
     - "gem" => "--no-ri --no-rdoc"
  - REMOTE SOURCES:
     - http://rubygems.org
     - http://gemcutter.org

----------------------------------------------------------------------

You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=29059&group_id=126


More information about the Rubygems-developers mailing list